Bug 1045597 - missing record class "IN" before the lookup type
Summary: missing record class "IN" before the lookup type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: John W. Lamb
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 19:44 UTC by Jason DeTiberus
Modified: 2014-05-15 14:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1045264
Environment:
Last Closed: 2014-05-15 14:41:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 John W. Lamb 2014-01-14 14:58:14 UTC
When named is restarted, the dynamic database file is rewritten by named without the "IN" tokens. This means the database is only "properly" formatted once, right after openshift.sh runs.

Comment 4 Nan Wei 2014-01-15 09:52:28 UTC
OpenShift Enterprise 2.0.z puddle: [2.0.z/2014-01-14.1]

1. Finsh installation and check /var/named/dynamic/ose-nwei20140115.com.cn.db
[root@broker ~]# cat /var/named/dynamic/ose-nwei20140115.com.cn.db
$ORIGIN .
$TTL 1  ; 1 seconds (for testing only)
ose-nwei20140115.com.cn         IN SOA  ns1.ose-nwei20140115.com.cn. hostmaster.ose-nwei20140115.com.cn. (
                                2011112904 ; serial
                                60         ; refresh (1 minute)
                                15         ; retry (15 seconds)
                                1800       ; expire (30 minutes)
                                10         ; minimum (10 seconds)
                                )
                                IN NS   ns1.ose-nwei20140115.com.cn.
                                IN MX   10 mail.ose-nwei20140115.com.cn.
$ORIGIN ose-nwei20140115.com.cn.
ns1                     IN A    192.168.59.140
broker                  IN A    10.4.59.144
node                    IN A    192.168.59.140
activemq                        IN A    192.168.59.140
datastore                       IN A    192.168.59.140

2. when named is restart and check the dynamic database file, and the record "IN" exists as above yet.

3. setup and create app and check the dynamic database file, and the record "IN" also exists, but app message doesn't exist.
[root@broker ~]##rhc setup -l nwei
[root@broker ~]##rhc app create nj nodejs
[root@broker ~]# cat /var/named/dynamic/ose-nwei20140115.com.cn.db 
$ORIGIN .
$TTL 1	; 1 seconds (for testing only)
ose-nwei20140115.com.cn		IN SOA	ns1.ose-nwei20140115.com.cn. hostmaster.ose-nwei20140115.com.cn. (
				2011112904 ; serial
				60         ; refresh (1 minute)
				15         ; retry (15 seconds)
				1800       ; expire (30 minutes)
				10         ; minimum (10 seconds)
				)
				IN NS	ns1.ose-nwei20140115.com.cn.
				IN MX	10 mail.ose-nwei20140115.com.cn.
$ORIGIN ose-nwei20140115.com.cn.
ns1			IN A	192.168.59.140
broker			IN A	10.4.59.144
node			IN A	192.168.59.140
activemq			IN A	192.168.59.140
datastore			IN A	192.168.59.140
4. named is restarted and check the dynamic database file.
[root@broker ~]# /etc/init.d/named restart
[root@broker ~]# cat /var/named/dynamic/ose-nwei20140115.com.cn.db 
$ORIGIN .
$TTL 1	; 1 second
ose-nwei20140115.com.cn	IN SOA	ns1.ose-nwei20140115.com.cn. hostmaster.ose-nwei20140115.com.cn. (
				2011112905 ; serial
				60         ; refresh (1 minute)
				15         ; retry (15 seconds)
				1800       ; expire (30 minutes)
				10         ; minimum (10 seconds)
				)
			NS	ns1.ose-nwei20140115.com.cn.
			MX	10 mail.ose-nwei20140115.com.cn.
$ORIGIN ose-nwei20140115.com.cn.
activemq		A	192.168.59.140
broker			A	10.4.59.144
datastore		A	192.168.59.140
$TTL 60	; 1 minute
nj-mydomain		CNAME	broker
$TTL 1	; 1 second
node			A	192.168.59.140
ns1			A	192.168.59.140
when finish to create app and named is restarted, exists app message like this: "nj-mydomain CNAME broker",but missing record class "IN".

Comment 5 Johnny Liu 2014-01-15 14:02:36 UTC
According to comment 4, the patch is already merged, and take effect. According to comment 3, the dynamic database file is rewritten by named without the "IN" tokens, this is expected behaviour, so move it to verified.


Note You need to log in before you can comment on or make changes to this bug.